import { STRATEGY } from './strategy';
export declare const cancel: unique symbol;
declare type cancelHandler = (strategy?: STRATEGY) => void;
export declare type CancellablePromise<T> = Promise<T> & {
    [cancel]: cancelHandler;
};
export declare function wrap<Done>(promise: CancellablePromise<Done> | PromiseLike<Done> | Promise<Done>): CancellablePromise<Done>;
export {};
